function temperature = temperaturegeom(optimValues,options)
%rizeni teploty v simulovanem zihani
temperature=options.InitialTemperature.*(0.02./options.InitialTemperature).^((1+mod(optimValues.iteration,100))./100);
if temperature<=0.2
    temperature=options.InitialTemperature;
end
end